/*
 * Copyright 2010-2011 Craig S. Dickson (http://craigsdickson.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.squeakysand.jcr.taglib;

import javax.servlet.jsp.tagext.TagData;
import javax.servlet.jsp.tagext.TagExtraInfo;
import javax.servlet.jsp.tagext.VariableInfo;

import com.squeakysand.commons.lang.StringUtils;
import com.squeakysand.jcr.SimpleNode;

public class NodeTagExtraInfo extends TagExtraInfo {

    @Override
    public VariableInfo[] getVariableInfo(TagData data) {
        String nodeVarValue = data.getAttributeString("nodeVar");
        String attributeName = null;
        if (StringUtils.isNullOrEmpty(nodeVarValue)) {
            attributeName = AttributeNames.CURRENT_NODE;
        } else {
            attributeName = nodeVarValue;
        }
        return new VariableInfo[] {
            new VariableInfo(attributeName, SimpleNode.class.getName(), false, VariableInfo.NESTED)
        };
    }

}
