/*
 * Copyright 2010-2011 Craig S. Dickson (http://craigsdickson.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.squeakysand.jcr.taglib;

import java.io.File;
import java.io.IOException;

import javax.jcr.Repository;

import javax.servlet.jsp.JspException;

import com.squeakysand.jsp.tagext.annotations.JspTag;
import com.squeakysand.jsp.tagext.annotations.JspTagVariable;
import com.squeakysand.jsp.tagext.VariableScope;

import org.apache.jackrabbit.core.TransientRepository;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@JspTag
public class RepositoryTag extends JcrSessionAwareSimpleTagSupport {

    @JspTagVariable(
        variableClass = Repository.class,
        scope = VariableScope.AT_END
    )
    private static final String VARIABLE_NAME = AttributeNames.CURRENT_REPOSITORY;

    private static final Logger LOG = LoggerFactory.getLogger(RepositoryTag.class);

    @Override
    public void doTag() throws JspException, IOException {
        LOG.trace("enter");
        Repository repository =
            new TransientRepository(new File("/Users/craig/Dropbox/Users/craig/Documents/work/dev/current/jcr-taglib/test-webapp/target/repository"));
        if (LOG.isDebugEnabled()) {
            LOG.debug("repository is: {}", repository);
        }
        setPageAttribute(VARIABLE_NAME, repository);
        LOG.trace("exit");
    }
}
